MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Auth
Bundler
Bundles
Catalog
Deployments
Discover
LLM
MCP Listing Claims
MCP Listings
Create Draft ListingDelete Draft ListingGet MCP ListingMy ListingsSearch MCP ListingsSubmit for ReviewUpdate Listing
OAuth2
Observability
Organisations
Reviews
Roadmap
SCIM
Users
Utils
Vault
Webhooks
API ReferenceMCP Listings

My Listings

Get MCP Listing

Previous Page

Search MCP Listings

Next Page

GET
/v1/mcp/mine

List all listings owned by the authenticated user, including drafts.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/mcp/mine"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "namespace": "string",      "visibility": "public",      "org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b",      "block_private_bundle_mixing": false,      "title": "string",      "short_description": "string",      "status": "string",      "transport": "string",      "pricing": "string",      "icon_bg_color": "string",      "icon_text_color": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "category": {        "id": 0,        "name": "string",        "slug": "string",        "description": "string",        "icon": "string",        "mcp_count": 0      }    }  ],  "total": 0}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}